Bug 1002820 - Review Request: perl-Mail-SPF-Iterator - Iterative SPF lookup
Review Request: perl-Mail-SPF-Iterator - Iterative SPF lookup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 01:16 EDT by Mathieu Bridon
Modified: 2013-10-09 00:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 00:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2013-08-30 01:16:37 EDT
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Mail-SPF-Iterator.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Mail-SPF-Iterator-1.11-1.fc21.src.rpm

Description:
This module provides an iterative resolving of SPF records. Contrary to
Mail::SPF, which does blocking DNS lookups, this module just returns the
DNS queries and later expects the responses.

Fedora Account System Username: bochecha
Comment 1 Dan Mashal 2013-10-08 04:42:53 EDT
APPROVED.


Naming: OK, no conflicts 
Licensing: OK uses proper perl licensing
Package installs, builds, and runs fine. 

Koji builds

F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6035248
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6035247


rpmlint on spec, rpm and srpm:

$ rpmlint ./perl-Mail-SPF-Iterator.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint ./perl-Mail-SPF-Iterator-1.11-1.fc21.src.rpm 
perl-Mail-SPF-Iterator.src: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
perl-Mail-SPF-Iterator.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ./perl-Mail-SPF-Iterator-1.11-1.fc21.noarch.rpm 
perl-Mail-SPF-Iterator.noarch: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
perl-Mail-SPF-Iterator.noarch: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



fedora-review stuff all good:


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/dan/1002820-perl-Mail-SPF-Iterator/licensecheck.txt
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Mail/SPF(perl-Mail-SPF),
     /usr/share/perl5/vendor_perl/Mail(perl-Mail-RFC822-Address, perl-User-
     Identity, perl-MailTools, perl-Mail-MboxParser, spamassassin, perl-Mail-
     Procmail, perl-Mail-GnuPG, perl-Mail-Sender, perl-Mail-Box, perl-Mail-
     SPF, perl-Mail-POP3Client, perl-Mail-DKIM, perl-Mail-IMAPClient, perl-
     Mail-Sendmail, perl-Mail-Mbox-MessageParser, perl-Mail-Alias)
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.
[ ]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Mail-SPF-Iterator-1.11-1.fc19.noarch.rpm
          perl-Mail-SPF-Iterator-1.11-1.fc19.src.rpm
perl-Mail-SPF-Iterator.noarch: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
perl-Mail-SPF-Iterator.noarch: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
perl-Mail-SPF-Iterator.src: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
perl-Mail-SPF-Iterator.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Mail-SPF-Iterator
perl-Mail-SPF-Iterator.noarch: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
perl-Mail-SPF-Iterator.noarch: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Mail-SPF-Iterator (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.16.3)
    perl(Data::Dumper)
    perl(Exporter)
    perl(Net::DNS)
    perl(Socket)
    perl(URI)
    perl(URI::Escape)
    perl(base)
    perl(constant)
    perl(fields)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Mail-SPF-Iterator:
    perl(Mail::SPF::Iterator)
    perl-Mail-SPF-Iterator



Source checksums
----------------
http://www.cpan.org/authors/id/S/SU/SULLR/Mail-SPF-Iterator-1.11.tar.gz :
  CHECKSUM(SHA256) this package     : 0b85cfc3c7bd02de1302558b57a27c9bcf41ee300de8871242625ab0ed7c1ffd
  CHECKSUM(SHA256) upstream package : 0b85cfc3c7bd02de1302558b57a27c9bcf41ee300de8871242625ab0ed7c1ffd
Comment 2 Mathieu Bridon 2013-10-08 04:46:20 EDT
Thanks Dan!


New Package SCM Request
=======================
Package Name: perl-Mail-SPF-Iterator
Short Description: Iterative SPF lookup
Owners: bochecha
Branches: devel
Comment 3 Gwyn Ciesla 2013-10-08 08:23:12 EDT
Git done (by process-git-requests).
Comment 4 Mathieu Bridon 2013-10-09 00:23:39 EDT
Thanks for the SCM Jon.

Package built in Rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.